import Vue from "vue";
import Router from "vue-router";

import Index from "@/pages/index";
import workPlace from "@/pages/workPlace"
Vue.use(Router);

export default new Router({
  routes: [
    {
      path: "/",
      redirect: "/index"
    },
    {
      path: "/index",
      name: "index",
      component: Index,
      redirect: "/workplace",
      children: [{
        path: "/workplace",
        name: "workPlace",
        component: workPlace,
      },
      {
        path: "/fwzc", // 服务注册
        name: "fwzc",
        redirect: "/fwzc/fwcs",
        component: () => import("@/pages/fwzc_fwcs"),
        children: [
          {
            path: "/fwzc/fwcs", // 服务注册/服务测试
            name: "fwcs",
            component: () => import("@/pages/fwzc_fwcs")
          },
        ]
      }
      ]
    },
    {
      path: "/table_example", // 表格实例
      name: "table_example",
      component: () => import("@/pages/table_example")
    },
    {
      path: "/upload_example", // 表格实例
      name: "upload_example",
      component: () => import("@/pages/upload_example")
    },
    {
      path: "/code_example", // 编辑器实例
      name: "code_example",
      component: () => import("@/pages/code_example")
    }
  ]
});
